IMPORTANT: Per accedir als fitxer de subversion: http://acacha.org/svn (sense password). Poc a poc s'aniran migrant els enllaços. Encara però funciona el subversion de la farga però no se sap fins quan... (usuari: prova i la paraula de pas 123456)

Requeriments

$ sudo apt-get install php5-curl

Instal·lació

Instal·lació temporal Laravel 5.2

IMPORTANT: Per evitar errors amb Gulp/Laravel Elixir assegureu-vos d'utilitzar l'última versió de Node.js

Hi ha una issue:

https://github.com/laravel/spark/issues/161

Suposo que serà temporal pq acaba de sortir Laravel 5.2 (--acacha (discussió) 14:37, 29 des 2015 (CET))

En el meu car per fer que funcioni:

$ composer global require "laravel/spark-installer=dev-master"

I feu un canvi:

$ joe ~/.composer/vendor/laravel/spark-installer/src/Console/InstallCommand.php

Canvieu la línia:

        $process = new Process($composer . ' require laravel/spark', null, null, null, null);

per:

        $process = new Process($composer . ' require laravel/spark=dev-master', null, null, null, null);

Ara creem un nou projecte Laravel (tinc instal·lada última versió 5.2)

$ laravel new LaravelSpark && cd LaravelSpark

I executem spark:

$ spark install

En el meu cas a més he tingut que assegurar-me que s'ha executat correctament npm

$ npm install

I tornar a executar a mà Gulp:

$ gulp

A més no cal dir que les migracions sense abans haver configurat el fitxer env no serveixen de res. A més us pot interessar fer-ho amb Laravel Homestead

Passos a seguir un cop feta instal·lació

Teams

Vegeu https://mattstauffer.co/blog/introducing-laravel-spark-a-deep-dive#teams

Vegeu també

Enllaços externs